Qt 5.6 | Qt NFC | C++ Classes | QNdefNfcUriRecord

Qt 5.6.2 Reference Documentation

# QNdefNfcUriRecord Class

The QNdefNfcUriRecord class provides an NFC RTD-URI More...

Header: | #include <QNdefNfcUriRecord>
qmake: | QT += nfc
Since: | Qt 5.2
Inherits: | QNdefRecord

- List of all members, including inherited members

## Public Functions

| QNdefNfcUriRecord()
| QNdefNfcUriRecord(const QNdefRecord &other)
void | setUri(const QUrl &uri)
QUrl | uri() const

- 13 public functions inherited from QNdefRecord

## Detailed Description

The QNdefNfcUriRecord class provides an NFC RTD-URI

RTD-URI encapsulates a URI.

## Member Function Documentation

### QNdefNfcUriRecord::QNdefNfcUriRecord()

Constructs an empty NFC uri record.

### QNdefNfcUriRecord::QNdefNfcUriRecord(const QNdefRecord &other)

Constructs a new NFC uri record that is a copy of other.

### void QNdefNfcUriRecord::setUri(const QUrl &uri)

Sets the URI of this URI record to uri.

See also uri().

### QUrl QNdefNfcUriRecord::uri() const

Returns the URI of this URI record.

See also setUri().